# Third Party Notices

The LambdaCLI uses source code from third party libraries which carry their own copyright notices and license terms. These notices are provided below.

 the event that a required notice is missing or incorrect, please notify us by e-mailing open-source@newrelic.com.

r any licenses that require the disclosure of source code, the source code can be found at https://github.com/newrelic/LambdaCLI.

# Content

**[dependencies](#dependencies)**

**[devDependencies](#devdependencies)**

# Dependencies

| Name               | Version    | License                              |
|--------------------|------------|--------------------------------------|
| backoff            | 2.2.1      | MIT License                          |
| boto3              | 1.29.4     | Apache Software License              |
| botocore           | 1.32.4     | Apache Software License              |
| certifi            | 2023.11.17 | Mozilla Public License 2.0 (MPL 2.0) |
| charset-normalizer | 3.3.2      | MIT License                          |
| click              | 8.1.7      | BSD License                          |
| colorama           | 0.4.6      | BSD License                          |
| distlib            | 0.3.7      | Python Software Foundation License   |
| filelock           | 3.13.1     | The Unlicense (Unlicense)            |
| gql                | 3.4.1      | MIT                                  |
| graphql-core       | 3.2.3      | MIT License                          |
| idna               | 3.4        | BSD License                          |
| jmespath           | 1.0.1      | MIT License                          |
| multidict          | 6.0.4      | Apache Software License              |
| pipenv             | 2023.11.15 | MIT License                          |
| platformdirs       | 3.11.0     | MIT License                          |
| python-dateutil    | 2.8.2      | Apache Software License; BSD License |
| requests           | 2.31.0     | Apache Software License              |
| s3transfer         | 0.7.0      | Apache Software License              |
| six                | 1.16.0     | MIT License                          |
| tabulate           | 0.9.0      | MIT License                          |
| urllib3            | 2.0.7      | MIT License                          |
| virtualenv         | 20.24.6    | MIT License                          |
| yarl               | 1.9.3      | Apache Software License              |

# DevDependencies

| Name                      | Version    | License                              |
|---------------------------|------------|--------------------------------------|
| Jinja2                    | 3.1.2      | BSD License                          |
| MarkupSafe                | 2.1.3      | BSD License                          |
| PyYAML                    | 6.0.1      | MIT License                          |
| Werkzeug                  | 3.0.1      | BSD License                          |
| annotated-types           | 0.6.0      | MIT License                          |
| attrs                     | 23.1.0     | MIT License                          |
| aws-sam-translator        | 1.80.0     | Apache Software License              |
| aws-xray-sdk              | 2.12.1     | Apache Software License              |
| backoff                   | 2.2.1      | MIT License                          |
| black                     | 23.11.0    | MIT License                          |
| boto3                     | 1.29.4     | Apache Software License              |
| botocore                  | 1.32.4     | Apache Software License              |
| certifi                   | 2023.11.17 | Mozilla Public License 2.0 (MPL 2.0) |
| cffi                      | 1.16.0     | MIT License                          |
| cfn-lint                  | 0.83.3     | MIT License                          |
| charset-normalizer        | 3.3.2      | MIT License                          |
| click                     | 8.1.7      | BSD License                          |
| colorama                  | 0.4.6      | BSD License                          |
| coverage                  | 7.3.2      | Apache Software License              |
| cryptography              | 41.0.5     | Apache Software License; BSD License |
| distlib                   | 0.3.7      | Python Software Foundation License   |
| docker                    | 6.1.3      | Apache Software License              |
| ecdsa                     | 0.18.0     | MIT                                  |
| filelock                  | 3.13.1     | The Unlicense (Unlicense)            |
| gql                       | 3.4.1      | MIT                                  |
| graphql-core              | 3.2.3      | MIT License                          |
| idna                      | 3.4        | BSD License                          |
| iniconfig                 | 2.0.0      | MIT License                          |
| jmespath                  | 1.0.1      | MIT License                          |
| jschema-to-python         | 1.2.3      | MIT License                          |
| jsondiff                  | 2.0.0      | MIT License                          |
| jsonpatch                 | 1.33       | BSD License                          |
| jsonpickle                | 3.0.2      | BSD License                          |
| jsonpointer               | 2.4        | BSD License                          |
| jsonschema                | 4.20.0     | MIT License                          |
| jsonschema-path           | 0.3.2      | Apache Software License              |
| jsonschema-specifications | 2023.11.1  | MIT License                          |
| junit-xml                 | 1.9        | Freely Distributable; MIT License    |
| lazy-object-proxy         | 1.9.0      | BSD License                          |
| moto                      | 4.2.9      | Apache Software License              |
| mpmath                    | 1.3.0      | BSD License                          |
| multidict                 | 6.0.4      | Apache Software License              |
| multipart                 | 0.2.4      | MIT License                          |
| mypy-extensions           | 1.0.0      | MIT License                          |
| networkx                  | 3.2.1      | BSD License                          |
| openapi-schema-validator  | 0.6.2      | BSD License                          |
| openapi-spec-validator    | 0.7.1      | Apache Software License              |
| packaging                 | 23.2       | Apache Software License; BSD License |
| pathable                  | 0.4.3      | Other/Proprietary License            |
| pathspec                  | 0.11.2     | Mozilla Public License 2.0 (MPL 2.0) |
| pbr                       | 6.0.0      | Apache Software License              |
| pipenv                    | 2023.11.15 | MIT License                          |
| platformdirs              | 4.0.0      | MIT License                          |
| pluggy                    | 1.3.0      | MIT License                          |
| py-partiql-parser         | 0.4.2      | MIT                                  |
| pyasn1                    | 0.5.1      | BSD License                          |
| pycparser                 | 2.21       | BSD License                          |
| pydantic                  | 2.5.1      | MIT License                          |
| pydantic_core             | 2.14.3     | MIT License                          |
| pyparsing                 | 3.1.1      | MIT License                          |
| pytest                    | 7.4.3      | MIT License                          |
| pytest-cov                | 4.1.0      | MIT License                          |
| python-dateutil           | 2.8.2      | Apache Software License; BSD License |
| python-jose               | 3.3.0      | MIT License                          |
| referencing               | 0.31.0     | MIT License                          |
| regex                     | 2023.10.3  | Apache Software License              |
| requests                  | 2.31.0     | Apache Software License              |
| responses                 | 0.24.1     | Apache 2.0                           |
| rfc3339-validator         | 0.1.4      | MIT License                          |
| rpds-py                   | 0.13.1     | MIT License                          |
| rsa                       | 4.9        | Apache Software License              |
| s3transfer                | 0.7.0      | Apache Software License              |
| sarif-om                  | 1.0.4      | MIT License                          |
| six                       | 1.16.0     | MIT License                          |
| sshpubkeys                | 3.3.1      | BSD License                          |
| sympy                     | 1.12       | BSD License                          |
| tabulate                  | 0.9.0      | MIT License                          |
| typing_extensions         | 4.8.0      | Python Software Foundation License   |
| urllib3                   | 2.0.7      | MIT License                          |
| virtualenv                | 20.24.6    | MIT License                          |
| websocket-client          | 1.6.4      | Apache Software License              |
| wrapt                     | 1.16.0     | BSD License                          |
| xmltodict                 | 0.13.0     | MIT License                          |
| yarl                      | 1.9.3      | Apache Software License              |
